{
  "name": "feiniao-be-data",
  "version": "0.1.0",
  "private": true,
  "description": "飞鸟后台数据平台 - Vue3 脚手架",
  "scripts": {
    "dev": "vite",
    "local": "vite --mode local",
    "pro": "vite --mode production",
    "build": "vite build --mode production",
    "preview": "vite preview",
    "lint": "eslint . --ext .vue,.js --fix"
  },
  "dependencies": {
    "@element-plus/icons-vue": "^2.0.6",
    "axios": "^0.27.2",
    "core-js": "^3.8.3",
    "dayjs": "^1.11.10",
    "element-plus": "^2.2.8",
    "jsts": "^2.12.1",
    "nprogress": "^0.2.0",
    "ol": "^6.15.1",
    "qs": "^6.11.0",
    "vue": "^3.2.13",
    "vue-router": "^4.1.0"
  },
  "devDependencies": {
    "@babel/eslint-parser": "^7.12.16",
    "@vitejs/plugin-vue": "^4.5.0",
    "eslint": "^7.32.0",
    "eslint-plugin-vue": "^8.0.3",
    "sass": "^1.53.0",
    "vite": "^4.5.0"
  },
  "eslintConfig": {
    "root": true,
    "env": {
      "node": true,
      "vue/setup-compiler-macros": true
    },
    "globals": {
      "VE_ENV": "readonly",
      "VE_API": "readonly"
    },
    "extends": [
      "plugin:vue/vue3-essential",
      "eslint:recommended"
    ],
    "parserOptions": {
      "parser": "@babel/eslint-parser",
      "requireConfigFile": false
    },
    "rules": {
      "vue/multi-word-component-names": "off"
    }
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not dead",
    "not ie 11"
  ]
}
